Subject: Re: [icnrg] New Version Notification for draft-ravi-icnrg-5gc-icn-01.txt
From: "Trossen, Dirk" <[email-masked]>
To: Luca Muscariello <[email-masked]>
Cc: Ravi Ravindran <[email-masked]>, Marie-Jose Montpetit <[email-masked]>, "[email-masked]" <[email-masked]>
Date: Wed, 21 Mar 2018 12:55:51 +0000
List-Id: Information-Centric Networking research group discussion list <icnrg.irtf.org>

Luca,

Yes, it’s the wider definition. Our IPoICN does not utilize CCN/NDN but I’m not saying one couldn’t either.

Dirk

From: icnrg [mailto:[email-masked]] On Behalf Of Luca Muscariello
Sent: 21 March 2018 12:54
To: Trossen, Dirk <[email-masked]>
Cc: Ravi Ravindran <[email-masked]>; Marie-Jose Montpetit <[email-masked]>; [email-masked]
Subject: Re: [icnrg] New Version Notification for draft-ravi-icnrg-5gc-icn-01.txt

Dirk

I was using the term definion to ask if I have to read ICN as CCN/NDN or also other systems.

From your answer it seems the draft accommodates any kind of ICN system but I’m not sure you are saying that.

Luca

On Wed 21 Mar 2018 at 12:48, Trossen, Dirk <[email-masked]<mailto:[email-masked]>> wrote:
Luca,

(note that I got only late to this draft but still picking up on this) If we were to assume RFC7927 as a baseline when it comes to a ‘definition’ (not saying that this is the only one), would the points in the discussion become any clearer?

I’m not sure if the references to CP/CP work in 3GPP are much clearer with that definition. I do think though that a categorization of IP/ICN operations via the suggested transport selector and convergence layer would be beneficial to understand how the CP/UP work might influence the workings, particularly considering that ICN is possible to be run via non-IP PDUs (native ICN) as well as IP PDUs (in overlay as well as concurrent mode, such as in hICN), while IP could run natively over IP PDU, via IPoICN over non-IP PDU and possibly (don’t shoot me) via IPoICN in concurrent hICN mode over IP PDU. Most certainly those operational categories and the efficiency as well as details will be influenced by said 3GPP work.

Best,

Dirk

From: icnrg [mailto:[email-masked]<mailto:[email-masked]>] On Behalf Of Luca Muscariello
Sent: 21 March 2018 11:41
To: Ravi Ravindran <[email-masked]<mailto:[email-masked]>>
Cc: Marie-Jose Montpetit <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; Trossen, Dirk <[email-masked]<mailto:[email-masked]>>

Subject: Re: [icnrg] New Version Notification for draft-ravi-icnrg-5gc-icn-01.txt

Ravi and Dirk,

let me ask a propaedeutic question,
what is the definition of ICN in this draft?

It is never defined in the document and I think it is necessary at least to understand each other
in this thread.

Thanks
Luca
On Tue, Mar 20, 2018 at 11:44 PM, Ravi Ravindran <[email-masked]<mailto:[email-masked]>> wrote:
Sure Marie, that’s a good feedback, the architecture presented in the draft covers both the scenarios, i..e. ICN over IP and ICN over non-IP PDUs, however it will be good to see if this architectural complexity can be reduced for the later scenario. We hope to have more details around this in the next revision.

PS: In my response to Luca, I noted a typo :- “which is also trying to enable end-to-end ICN network”, also was a typo there.

Regards,
Ravi

From: Marie-Jose Montpetit [mailto:marie@mjmontpetit...com<mailto:[email-masked]>]
Sent: Tuesday, March 20, 2018 7:37 PM
To: Ravi Ravindran <[email-masked]<mailto:[email-masked]>>
Cc: Trossen, Dirk <[email-masked]<mailto:[email-masked]>>; Luca Muscariello <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>

Subject: Re: [icnrg] New Version Notification for draft-ravi-icnrg-5gc-icn-01.txt

While i know that you guys have nothing to do with the current complexities of 5G Networks which I gather are still optimized at the lower layer and with complex control planes I think that if ICN is to be successful it has to reduce complexity not making it worst.
On Mar 20, 2018, at 7:26 PM, Ravi Ravindran <[email-masked]<mailto:[email-masked]>> wrote:

hi Luca,

I havent read this draft yet, but aware of this work study work item. The objective of this draft is to introduce flatter and richer IP network between the UPFs to get rid of the anchor points points approach that phase-1 inherits from lte, and use these new networks between these UPFs such as ILA or Lisp to handle mobilty, multihomig etc, but its primarily optimizations is to aid IP end points.

But as Dirk pointed out, I'm not sure how this would apply to
our draft, which is also trying to enable end-to-end ICN network in 5G. But I could talk to the authors, to see if we can take some ideas from our draft into this one, probably a way to take ICN into more active discussion.

Regards
Ravi
--------------------------------------------------
Ravindran Ravishankar Ravindran Ravishankar
M: 001-408-410-8240<tel:001-408-410-8240>
E: [email-masked]<mailto:[email-masked]>
2012<tel:2012>实验室-硅谷网络技术实验室
2012<tel:2012> Laboratories-Silicon Valley Network Technology Lab
From:Trossen, Dirk
To:Luca Muscariello,Ravi Ravindran,
Cc:[email-masked]<mailto:[email-masked]>,
Date:2018-03-20 18:22:33
Subject:RE: [icnrg] New Version Notification for draft-ravi-icnrg-5gc-icn-01.txt

Luca,

I tend to agree with lots of relevant work in progress to exit but would also acknowledge that there are lots of moving targets in this space, including the CT4 work as well as the SA2 study item on service-based architecture (SBA) for CP and UP traffic.

However, I would argue that the draft aligns reasonably well with those moving targets since it aligns with the removal of GTP for non-IP PDUs, where this matters most for ICN deployment. But I might miss some missing target, so apologies beforehand.

As for the specific DMM reference, it would be good to understand where you find this fitting since my confusion comes with the relation to the ICN part (granted that DMM is relevant for the IP side).

Best,

Dirk

From: icnrg [mailto:[email-masked]] On Behalf Of Luca Muscariello
Sent: 20 March 2018 18:16
To: Ravi Ravindran <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]>
Subject: Re: [icnrg] New Version Notification for draft-ravi-icnrg-5gc-icn-01.txt

Ravi,

considering that there is no time to ask questions in the room, I have to use the list.

All this work of using ICN for 5G is missing relevant work in progress in other places
such as DMM.

3GPP CT4 has approved a study item to consider different solutions to replace GTP to connect
UPFs.

https://datatracker.ietf.org/doc/draft-bogineni-dmm-optimized-mobile-user-plane/

Is there any plan to contribute in that space?

Luca

On Tue, Feb 27, 2018 at 9:56 PM, Ravi Ravindran <[email-masked]<mailto:[email-masked]>> wrote:
The revised draft offers discussion on leveraging non-IP PDU provision in 5GC for ICN deployment and supporting IP-over-ICN solutions in 5GC. We have also included another user case discussion related to multiuser VR scenario.

Regards,
Ravi

-----Original Message-----
From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]<mailto:[email-masked]>]
Sent: Tuesday, February 27, 2018 12:48 PM
To: Ravi Ravindran <[email-masked]<mailto:[email-masked]>>; Prakash Suthar <[email-masked]<mailto:[email-masked]>>; Dirk Trossen <[email-masked]<mailto:[email-masked]>>; Prakash suthar <[email-masked]<mailto:[email-masked]>>; Guoqiang Wang <[email-masked]<mailto:[email-masked]>: New Version Notification for draft-ravi-icnrg-5gc-icn-01.txt

A new version of I-D, draft-ravi-icnrg-5gc-icn-01.txt has been successfully submitted by Ravi Ravindran and posted to the IETF repository.

Name:           draft-ravi-icnrg-5gc-icn
Revision:       01
Title:          Enabling ICN in 3GPP's 5G NextGen Core Architecture
Document date:  2018-02-27
Group:          Individual Submission
Pages:          25
URL:            https://www.ietf.org/internet-drafts/draft-ravi-icnrg-5gc-icn-01.txt
Status:         https://datatracker.ietf.org/doc/draft-ravi-icnrg-5gc-icn/
Htmlized:       https://tools.ietf.org/html/draft-ravi-icnrg-5gc-icn-01
Htmlized:       https://datatracker.ietf.org/doc/html/draft-ravi-icnrg-5gc-icn-01
Diff:           https://www.ietf.org/rfcdiff?url2=draft-ravi-icnrg-5gc-icn-01

Abstract:
   The proposed 3GPP's 5G core nextgen architecture (5GC) offers
   flexibility to introduce new user and control plane function,
   considering the support for network slicing functions, that allows
   greater flexibility to handle heterogeneous devices and applications.
   In this draft, we provide a short description of the proposed 5GC
   architecture, followed by extensions to 5GC's control and user plane
   to support packet data unit (PDU) sessions from information-centric
   networks.  The value of enabling ICN in 5GC is discussed using
   multiple service scenarios in the context of mobile edge computing
   such as smart mobility and VR use case, and to enable network
   services such as seamless mobility for ICN sessions.

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org<http://tools.ietf.org/>.

The IETF Secretariat

_______________________________________________
icnrg mailing list
[email-masked]<mailto:[email-masked]>
https://www.irtf.org/mailman/listinfo/icnrg

_______________________________________________
icnrg mailing list
[email-masked]<mailto:[email-masked]>
https://www.irtf.org/mailman/listinfo/icnrg